LMGRD(1)

NAME
lmgrd - flexible license manager daemon

SYNOPSIS
lmgrd [ -b ] [ -c license_file ] [ -d ] [ -l logfile ] [ -s interval ] [ -t timeout ]

DESCRIPTION

lmgrd is the main daemon program for the FLEXlm distributed license management system. When invoked, it looks for a license file containing all required information about vendors and features.

OPTIONS

-b  Specifies backward compatibility mode. Use this switch if you are running a v2.1 or later lmgrd with a v1.5 or earlier vendor daemon.

-c license_file
    Use the specified license_file. If this switch is not specified, lmgrd looks for the environment variable LM_LICENSE_FILE. If that environment variable is not set, lmgrd looks for the file /usr/local/flexlm/licenses/license.dat.

-d  Specifies that hostnames which are read from the license file should have the local domain name appended to them before sending to a client. This is useful when clients are accessing licenses from another domain. (Available in lmgrd v2.4 and later.)

-l logfile
    Specifies the output log file to use.

-s interval
    Specifies the logfile timestamp interval, in minutes. The default is 360 minutes.

-t timeout
    Specifies the timeout interval, in seconds, during which daemons must complete their connections to each other. The default value is 10 seconds. A larger value may be desirable if the daemons are being run on busy systems or a very heavily loaded network.

ENVIRONMENT
If no -c option is specified, lmgrd looks for the environment variable LM_LICENSE_FILE in order to find the license file to use. If that environment variable is not set, lmgrd looks for the file /usr/local/flexlm/licenses/license.dat.

SEE ALSO
lmdown(1), lmstat(1)